--- include/configs/zynq-common.h.orig	2016-11-24 06:46:28 UTC
+++ include/configs/zynq-common.h
@@ -198,7 +198,13 @@
 #endif
 
 /* enable preboot to be loaded before CONFIG_BOOTDELAY */
-#define CONFIG_PREBOOT
+#define CONFIG_PREBOOT \
+	"if test $modeboot = sdboot && env run sd_uEnvtxt_existence_test; " \
+		"then if env run loadbootenv; " \
+			"then env run importbootenv; " \
+		"fi; " \
+	"fi;"
+
 
 /* Default environment */
 #ifndef CONFIG_EXTRA_ENV_SETTINGS
@@ -225,11 +231,6 @@
 	"importbootenv=echo Importing environment from SD ...; " \
 		"env import -t ${loadbootenv_addr} $filesize\0" \
 	"sd_uEnvtxt_existence_test=test -e mmc 0 /uEnv.txt\0" \
-	"preboot=if test $modeboot = sdboot && env run sd_uEnvtxt_existence_test; " \
-			"then if env run loadbootenv; " \
-				"then env run importbootenv; " \
-			"fi; " \
-		"fi; \0" \
 	"mmc_loadbit=echo Loading bitstream from SD/MMC/eMMC to RAM.. && " \
 		"mmcinfo && " \
 		"load mmc 0 ${loadbit_addr} ${bitstream_image} && " \
@@ -375,6 +376,7 @@
 
 /* Boot FreeBSD/vxWorks from an ELF image */
 #define CONFIG_SYS_MMC_MAX_DEVICE	1
+#define CONFIG_API
 
 #define CONFIG_SYS_LDSCRIPT  "arch/arm/mach-zynq/u-boot.lds"
 
